org.apache.fontbox.ttf

## Class VerticalMetricsTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.VerticalMetricsTable

    public class VerticalMetricsTable
    extends TTFTable

A vertical metrics 'vmtx' table in a TrueType or OpenType font. This table is required by the OpenType CJK Font Guidelines for "all OpenType fonts that are used for vertical writing". This table is specified in both the TrueType and OpenType specifications.

Author:
  Glenn Adams

### Field Summary

Fields
`static String` `TAG` A tag that identifies this table type.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAdvanceHeight(int gid)` Returns the advance height for the given GID.
`int` `getTopSideBearing(int gid)` Returns the top sidebearing for the given GID

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

A tag that identifies this table type.

See Also:
  Constant Field Values

### Method Detail

#### getTopSideBearing

    public int getTopSideBearing(int gid)

Returns the top sidebearing for the given GID

Parameters:
  `gid` - GID
Returns:
  top sidebearing for the given GID

#### getAdvanceHeight

    public int getAdvanceHeight(int gid)

Returns the advance height for the given GID.

Parameters:
  `gid` - GID
Returns:
  advance height for the given GID